import type { HTMLInputAttributes } from 'svelte/elements';
import type { BaseFormGroupProps } from './FormGroup.svelte';
export interface ComboboxItem<I extends {
    [key: string]: string;
}> extends ComboboxOptionProps<string> {
    infos?: I;
    items?: undefined;
}
export interface ComboboxItemGroup<I extends {
    [key: string]: string;
}> {
    label: string;
    key: string;
    items: ComboboxItem<I>[];
}
export interface Props<I extends {
    [key: string]: string;
}, M extends boolean> extends Omit<BaseFormGroupProps<HTMLInputAttributes & Omit<CreateComboboxProps<string>, 'selected' | 'defaultSelected' | 'open' | 'multiple'> & {}>, 'children'> {
    children?: Snippet<[ComboboxItem<I>]>;
    defaultSelected?: ComboboxSelected<M, string>;
    multiple?: M | boolean;
    selected?: ComboboxSelected<M, string>;
    open?: boolean;
    groupClass?: string;
    dense?: boolean;
    items: Array<ComboboxItem<I> | ComboboxItemGroup<I>>;
    noResult?: string | Snippet;
    requiredValidationMessage?: string;
}
import { type ComboboxOptionProps, type ComboboxSelected, type CreateComboboxProps } from '@melt-ui/svelte';
import type { Snippet } from 'svelte';
declare class __sveltets_Render<I extends {
    [key: string]: string;
}, M extends boolean> {
    props(): Props<I, M>;
    events(): {} & {
        [evt: string]: CustomEvent<any>;
    };
    slots(): {};
    bindings(): "value" | "open" | "selected";
    exports(): {};
}
interface $$IsomorphicComponent {
    new <I extends {
        [key: string]: string;
    }, M extends boolean>(options: import('svelte').ComponentConstructorOptions<ReturnType<__sveltets_Render<I, M>['props']>>): import('svelte').SvelteComponent<ReturnType<__sveltets_Render<I, M>['props']>, ReturnType<__sveltets_Render<I, M>['events']>, ReturnType<__sveltets_Render<I, M>['slots']>> & {
        $$bindings?: ReturnType<__sveltets_Render<I, M>['bindings']>;
    } & ReturnType<__sveltets_Render<I, M>['exports']>;
    <I extends {
        [key: string]: string;
    }, M extends boolean>(internal: unknown, props: ReturnType<__sveltets_Render<I, M>['props']> & {
        $$events?: ReturnType<__sveltets_Render<I, M>['events']>;
    }): ReturnType<__sveltets_Render<I, M>['exports']>;
    z_$$bindings?: ReturnType<__sveltets_Render<any, any>['bindings']>;
}
declare const Combobox: $$IsomorphicComponent;
type Combobox<I extends {
    [key: string]: string;
}, M extends boolean> = InstanceType<typeof Combobox<I, M>>;
export default Combobox;
