import type { Snippet } from 'svelte';
import type { HTMLAttributes } from 'svelte/elements';
export type Props = Omit<HTMLAttributes<HTMLDivElement>, 'children'> & {
    children: Snippet<[
        {
            toggleAside: () => void;
        }
    ]>;
    navigationBar: Snippet;
    menu?: string | Snippet;
    menuPosition?: 'left' | 'right';
    drawer: Snippet<[
        {
            pinned: boolean;
            togglePinned: () => void;
            close: () => void;
        }
    ]>;
    drawerOpen?: boolean;
    drawerPinned?: boolean;
    aside: Snippet<[
        {
            pinned: boolean;
            togglePinned: () => void;
            close: () => void;
            setWidth: (width: 'narrow' | 'default' | 'wide') => void;
        }
    ]>;
    asideOpen?: boolean;
    asidePinned?: boolean;
    asideWidth?: 'narrow' | 'default' | 'wide';
    status?: Snippet;
};
interface $$__sveltets_2_IsomorphicComponent<Props extends Record<string, any> = any, Events extends Record<string, any> = any, Slots extends Record<string, any> = any, Exports = {}, Bindings = string> {
    new (options: import('svelte').ComponentConstructorOptions<Props>): import('svelte').SvelteComponent<Props, Events, Slots> & {
        $$bindings?: Bindings;
    } & Exports;
    (internal: unknown, props: Props & {
        $$events?: Events;
        $$slots?: Slots;
    }): Exports & {
        $set?: any;
        $on?: any;
    };
    z_$$bindings?: Bindings;
}
declare const Application: $$__sveltets_2_IsomorphicComponent<Props, {
    [evt: string]: CustomEvent<any>;
}, {}, {}, "drawerOpen" | "drawerPinned" | "asideOpen" | "asidePinned" | "asideWidth">;
type Application = InstanceType<typeof Application>;
export default Application;
